summaryrefslogtreecommitdiffstats
path: root/sbe
diff options
context:
space:
mode:
Diffstat (limited to 'sbe')
-rwxr-xr-xsbe/build/citest/build-script48
-rwxr-xr-xsbe/build/citest/check-copyright31
-rwxr-xr-xsbe/build/citest/copyright-check.sh57
3 files changed, 122 insertions, 14 deletions
diff --git a/sbe/build/citest/build-script b/sbe/build/citest/build-script
index 5378aa54..8600e9d4 100755
--- a/sbe/build/citest/build-script
+++ b/sbe/build/citest/build-script
@@ -1,4 +1,28 @@
#!/bin/sh
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: sbe/build/citest/build-script $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2015,2016
+# [+] International Business Machines Corp.
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
if [ -z $WORKSPACE ]; then
export WORKSPACE=`pwd`
@@ -10,11 +34,9 @@ fi
source "$SBEROOT/sbe/build/citest/setup-env"
-# @TODO via RTC 140875
-#Enable it once SBE copyright script is ready
# Check copyright.
-#check-copyright > copyright.log 2>&1 &
-#COPYRIGHT_PID=$!
+check-copyright > copyright.log 2>&1 &
+COPYRIGHT_PID=$!
# Build .
@@ -41,15 +63,13 @@ populate-sandbox || exit -1
sbetest-start.sh || exit -1
-# @TODO via RTC 140875
-#Enable it once SBE copyright script is ready
# Check copyright completion.
-#wait $COPYRIGHT_PID
-#if [ $? -eq 0 ]; then
-# cat copyright.log
-#else
-# echo "----Copyright check failed."
-# cat copyright.log
-# exit -1
-#fi
+wait $COPYRIGHT_PID
+if [ $? -eq 0 ]; then
+ cat copyright.log
+else
+ echo "----Copyright check failed."
+ cat copyright.log
+ exit -1
+fi
diff --git a/sbe/build/citest/check-copyright b/sbe/build/citest/check-copyright
new file mode 100755
index 00000000..6d0323db
--- /dev/null
+++ b/sbe/build/citest/check-copyright
@@ -0,0 +1,31 @@
+#!/bin/sh
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: sbe/build/citest/check-copyright $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2016
+# [+] International Business Machines Corp.
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
+
+COPYRIGHT_CHECK=${SBEROOT}/sbe/build/citest/copyright-check.sh
+COMMIT_CHECK=${SBEROOT}/tools/hookScripts/verify-commit
+
+$COPYRIGHT_CHECK || exit -1
+$COMMIT_CHECK || exit -1
diff --git a/sbe/build/citest/copyright-check.sh b/sbe/build/citest/copyright-check.sh
new file mode 100755
index 00000000..eb7c75b6
--- /dev/null
+++ b/sbe/build/citest/copyright-check.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: sbe/build/citest/copyright-check.sh $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2016
+# [+] International Business Machines Corp.
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
+
+#
+# Front end to addCopyright.pl - script to check for copyright block during
+# Gerrit checkin.
+#
+
+export WORKSPACE_DIR=`pwd`
+export ADDCOPYRIGHT=${WORKSPACE_DIR}/tools/hookScripts/addCopyright.pl
+
+## run git show to get a list of checked in files
+CHECKINFILES=`git show --pretty=format: --name-only -n1 | tr '\n' ' '`
+## use git log to determine the year of the commit.
+## Since commits have their copyright updated at the time they are
+## committed, a commit might have a copyright date in its prolog of
+## last year. Set the DATE_OVERRIDE variable to the 'validate' to allow
+## slightly-old prologs (ie. ones corresponding to the date in the msg).
+export DATE_OVERRIDE=`git log -n1 --date=short | grep "Date" | sed "s/Date: *//" | sed "s/-.*//"`
+
+echo "========================================================================"
+
+echo " Checking Copyright blocks for checked-in files:"
+echo " $CHECKINFILES"
+echo
+$ADDCOPYRIGHT validate $CHECKINFILES --copyright-check
+
+if [ $? -eq 0 ]; then
+ echo "Copyright Check passed OK, $?"
+ exit 0
+else
+ echo "ERROR: $?"
+ exit 1
+fi
OpenPOWER on IntegriCloud